Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.preference
Class ColorSelector

    java.lang.Object
      org.eclipse.jface.preference.ColorSelector

public class ColorSelector
extends Object

The `ColorSelector` is a wrapper for a button that displays a selected `Color` and allows the user to change the selection.

Field Summary
`static String` | `PROP_COLORCHANGE` Property name that signifies the selected color of this `ColorSelector` has changed.

Constructor Summary
`ColorSelector(Composite parent)` Create a new instance of the reciever and the button that it wrappers in the supplied parent `Composite`.

Method Summary
`void` | `addListener(IPropertyChangeListener listener)` Adds a property change listener to this `ColorSelector`.
`Button` | `getButton()` Get the button control being wrappered by the selector.
`RGB` | `getColorValue()` Return the currently displayed color.
`void` | `removeListener(IPropertyChangeListener listener)` Removes the given listener from this `ColorSelector`.
`void` | `setColorValue(RGB rgb)` Set the current color value and update the control.
`void` | `setEnabled(boolean state)` Set whether or not the button is enabled.
`protected void` | `updateColorImage()` Update the image being displayed on the button using the current color setting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_COLORCHANGE

    public static final String PROP_COLORCHANGE

  Property name that signifies the selected color of this `ColorSelector` has changed.

  Since:
    3.0
  See Also:
    Constant Field Values

Constructor Detail

### ColorSelector

    public ColorSelector(Composite parent)

  Create a new instance of the reciever and the button that it wrappers in the supplied parent `Composite`.

Parameters:
  `parent` - The parent of the button.

Method Detail

### addListener

    public void addListener(IPropertyChangeListener listener)

  Adds a property change listener to this `ColorSelector`. Events are fired when the color in the control changes via the user clicking an selecting a new one in the color dialog. No event is fired in the case where `setColorValue(RGB)` is invoked.

  Parameters:
    `listener` - a property change listener
  Since:
    3.0

### getButton

    public Button getButton()

  Get the button control being wrappered by the selector.

  Returns:
    `Button`

### getColorValue

    public RGB getColorValue()

  Return the currently displayed color.

  Returns:
    `RGB`

### removeListener

    public void removeListener(IPropertyChangeListener listener)

  Removes the given listener from this `ColorSelector`. Has no affect if the listener is not registered.

  Parameters:
    `listener` - a property change listener
  Since:
    3.0

### setColorValue

    public void setColorValue(RGB rgb)

  Set the current color value and update the control.

  Parameters:
    `rgb` - The new color.

### setEnabled

    public void setEnabled(boolean state)

  Set whether or not the button is enabled.

  Parameters:
    `state` - the enabled state.

### updateColorImage

    protected void updateColorImage()

  Update the image being displayed on the button using the current color setting.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.